Subject: Re: git-svn: --ignore-paths appears to be ignored

From: <[email-masked]>
Date: Thu, 24 May 2012 11:23:36 -0500

Ben Tebulin <[email-masked]> writes:

> Am 07.05.2012 00:42, schrieb Jon Seymour:
>> I configured ignore-paths as follows:
>>      svn-remote.svn.ignore-paths=^DB.*
>>
>> I expected this would exclude paths of this kind on the initial fetch:
>>      DB/.project
>
> I have the same issue here. I'm failing to import multiple svn
> repository into Git and --ignore-paths provides me no cure.

One thing to be aware of is that --ignore-paths doesn't work across svn
branches.  I tried to ignore entire branches using it and it didn't
work.  I had to resort to importing chunks of revisions at a time,
skipping the ones that created and merged branches I didn't care about.

                               -Dave